# ISA Tax Wrappers events

ISA Tax Wrappers events

Endpoint: POST ISA tax wrapper events
Version: 1.97.0

## Request fields (application/json):

  - `id` (string, required)
    Event unique identifier

  - `type` (string, required)
    The type of ISA tax wrapper event
* NEW - The tax wrapper is newly created and not yet active due to pending checks.
* ACTIVE - The tax wrapper is currently active and in use.
* INACTIVE - The tax wrapper is not currently active. New subscriptions not allowed.
* CLOSED - The tax wrapper has been closed and is no longer available.
    Enum: "ISA_WRAPPER.NEW", "ISA_WRAPPER.ACTIVE", "ISA_WRAPPER.INACTIVE", "ISA_WRAPPER.CLOSED"

  - `object` (object, required)

  - `object.id` (string, required)
    Tax wrapper unique identifier.

  - `object.created_at` (string, required)
    The date and time the tax wrapper was created.

  - `object.updated_at` (string, required)
    The date and time the tax wrapper was last updated.

  - `object.account_group_id` (string, required)
    Account group unique identifier.

  - `object.is_flexible` (boolean, required)
    True if tax wrapper is flexible.

  - `object.status` (string, required)
    Status of the tax wrapper
* NEW - The tax wrapper is newly created and not yet active due to pending checks.
* ACTIVE - The tax wrapper is currently active and in use.
* INACTIVE - The tax wrapper is not currently active. New subscriptions not allowed.
* CLOSED - The tax wrapper has been closed and is no longer available.
    Enum: "NEW", "ACTIVE", "INACTIVE", "CLOSED"

  - `object.type` (string, required)
    Types of the ISA tax wrapper
    Enum: "STOCKS_AND_SHARES_ISA"

  - `webhook_id` (string, required)
    Webhook unique identifier.

  - `created_at` (string, required)
    Date and time when the event was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)


## Response 200 fields
